Subject: Re: [PATCH] gitk: restore wm state to normal before saving geometry information

From: Pat Thoyts <[email-masked]>
Date: 15 Sep 2009 13:03:43 +0100

Alexey Borzenkov <[email-masked]> writes:

>gitk now includes patches for saving and restoring wm state, however
>because it saves wm geometry when window can still be maximized the
>maximize/restore button becomes useless after restarting gitk (you
>will get a huge displaced window if you try to restore it). This
>patch fixes this issue by storing window geometry in normal state.
>

I tried this patch on windows and I find that it causes the columns in
the top view to creep each time you restart the application. This is I
think due to the way this patch sets the state to normal before
recording all the settings.

I will post an alternative patch that records the normal geometry
whenever it changes instead which seems to work better for me.

-- 
Pat Thoyts                            http://www.patthoyts.tk/
PGP fingerprint 2C 6E 98 07 2C 59 C8 97  10 CE 11 E6 04 E0 B9 DD